import { Platform, StyleSheet } from "react-native";
import { appFonts, fontSizes, windowHeight, windowWidth } from "@src/themes";
import { commonStyles } from "../../styles/commonStyle";
import { appColors } from "@src/themes";

const styles = StyleSheet.create({
  icon: {
    borderStyle: "dotted",
    height: windowHeight(20),
    borderLeftWidth: windowHeight(0.9),
    marginHorizontal: windowHeight(5),
    borderLeftColor: appColors.regularText,
  },
  itemStyle: {
    ...commonStyles.regularText,
    fontWeight: "100",
    fontSize: fontSizes.FONT16,
    color: appColors.primaryText,
    width: "44%",
    marginHorizontal: windowWidth(10),
  },
  dashedLine: {
    height: 1,
    width: "76%",
    borderBottomWidth: windowHeight(1),
    borderColor: appColors.primaryGray,
    borderStyle: Platform.OS === "ios" ? "solid" : "solid",
    marginVertical: windowHeight(6),
    alignSelf: "flex-end",
    marginHorizontal: windowHeight(15),
  },
  pickUpLocationStyles: {
    ...commonStyles.regularText,
    fontWeight: "300",
    fontSize: fontSizes.FONT16,
    color: appColors.primaryText,
    width: windowWidth(350),
    marginHorizontal: windowWidth(10),
  },
  mainContainer: { bottom: windowHeight(6), paddingBottom: windowHeight(19) },
  recentRides: {
    fontFamily: appFonts.semiBold,
    fontSize: fontSizes.FONT22,
    marginHorizontal: windowWidth(24),
    marginTop: windowHeight(13),
  },
  container: { paddingHorizontal: windowHeight(2.5) },
  buttonContainer: {
    marginTop: windowHeight(6),
    paddingBottom: windowHeight(3),
    backgroundColor: appColors.primary,
    height: windowHeight(40),
    borderRadius: windowHeight(5),
    justifyContent: "center",
  },
  border: {
    borderBottomWidth: windowHeight(1),
    borderColor: appColors.border,
    borderStyle: Platform.OS === "ios" ? "solid" : "dashed",
    marginTop: windowHeight(10),
  },
  clockSmall: {
    marginHorizontal: windowWidth(3),
  },
  date: {
    fontFamily: appFonts.regular,
    color: appColors.gray,
  },
  textId: {
    fontFamily: appFonts.medium,
    fontSize: fontSizes.FONT15,
  },
  price: {
    fontFamily: appFonts.medium,
    color: appColors.price,
  },
  price1: {
    fontFamily: appFonts.medium,
    fontSize: fontSizes.FONT20,
    marginBottom: windowHeight(4),
    marginTop: windowHeight(5),
  },
  view: {
    padding: windowHeight(10),
    margin: windowHeight(12),
    borderRadius: windowHeight(15),
    marginBottom: windowHeight(0),
    paddingHorizontal: 0,
    paddingVertical: windowHeight(13),
    borderWidth: windowHeight(0.42),
    borderColor: appColors.go,
  },
  viewWidth1: { alignItems: "center", justifyContent: "space-between" },
  textView: {
    alignItems: "center",
    marginHorizontal: windowWidth(4),
    width: "70%",
  },
  imageView: {
    height: windowHeight(50),
    width: windowHeight(50),
    borderRadius: windowHeight(8),
    alignItems: "center",
    justifyContent: "center",
    marginRight: windowHeight(4),
  },
  img: {
    height: windowHeight(50),
    width: windowWidth(50),
    resizeMode: "contain",
  },
  clockSmallView: {
    justifyContent: "flex-start",
    marginTop: windowHeight(3),
  },
  clockSmallView1: {
    justifyContent: "flex-start",
  },
  box: {
    paddingVertical: windowHeight(6),
    width: windowWidth(80),
    borderRadius: windowHeight(25),
    alignItems: "center",
    justifyContent: "center",
    marginBottom: windowHeight(4),
  },
  box1: {
    paddingVertical: windowHeight(5),
    width: windowWidth(75),
    borderRadius: windowHeight(25),
    alignItems: "center",
    justifyContent: "center",
    marginBottom: windowHeight(4),
    marginHorizontal: windowHeight(5),
  },
  divider: {
    height: windowHeight(10),
    backgroundColor: "#CCCCCC",
    width: windowWidth(1.2),
    marginHorizontal: windowWidth(10),
    marginRight: windowWidth(7),
    marginTop: windowHeight(1),
  },
  line: {
    width: "100%",
    height: windowHeight(4),
    backgroundColor: appColors.lightGray,
    marginTop: windowHeight(10),
    marginBottom: windowHeight(3),
  },
  addressView: {
    marginHorizontal: windowHeight(10),
    alignItems: "center",
  },
  searchView: {
    alignItems: "center",
    justifyContent: "center",
    borderRadius: windowHeight(40),
    width: windowHeight(40),
    height: windowHeight(40),
    backgroundColor: appColors.whiteColor,
  },
  locationType: {
    fontFamily: appFonts.regular,
    fontSize: fontSizes.FONT17,
    marginHorizontal: windowWidth(10),
    marginTop: windowHeight(2),
  },
  kmView: {
    position: "absolute",
    marginTop: windowHeight(34),
    alignSelf: "flex-end",
    marginHorizontal: windowHeight(35),
    borderWidth: windowWidth(2.5),
  },
  dot: {
    height: windowHeight(30),
    borderLeftWidth: 0.8,
    borderStyle: "dashed",
    position: "absolute",
    marginTop: windowHeight(46.5),
    marginHorizontal: windowWidth(45),
    borderLeftColor: appColors.primary,
  },
});

export { styles };
